moving multisite to a new domain > categorie saving error

Hi,

We have used your blogpost: https://premium.wpmudev.org/blog/move-multisite-new-domain/ to migrate a single wordpress installation to multisite.
Everything goes well and no error has been found. Till we try to save a category in a blogpost.

We found that something must be wrong with the database because the sidebar to add category, posttypes etc. is not saving. (we can add a futureimage though)

Check the error here: http://heldendaad.nu/dberror.jpg

Can you help us figurate this out?

Martin

  • Sajid

    Hi @321media,
    Hope you are doing good today :slight_smile:

    The error message you posted is not something that can cause issue with saving categories are post.

    Please see error log file and share the error message (mask the security details like username in it) here related to this issue.

    Also, if its okay for you then please grant support staff access so I can take a closer look. You can grant access from WPMU DEV > Support > Support Access > Grant Access or see this manual.

    Take care and have a nice day :slight_smile:
    Cheers, Sajid

  • 321media

    I've Grant Access to the site.

    This error message I also get in the admin area.

    g already defined constructor for class CustomGoogleSearch in C:\domains\heldendaad.nu\wwwroot\wp-content\plugins\custom-google-search\custom-google-search.php on line 46

    Strict Standards: Redefining already defined constructor for class CGS_Widget in C:\domains\heldendaad.nu\wwwroot\wp-content\plugins\custom-google-search\widget.php on line 20

    Strict Standards: Redefining already defined constructor for class Wdca_AdminPages in C:\domains\heldendaad.nu\wwwroot\wp-content\plugins\custom-ads\lib\class_wdca_admin_pages.php on line 9

    Strict Standards: Non-static method Wdca_AdminPages::serve() should not be called statically in C:\domains\heldendaad.nu\wwwroot\wp-content\plugins\custom-ads\custom-ads.php on line 76

    Notice: De aangeroepen constructor methode voor WP_Widget is verouderd sinds versie 4.3.0. Gebruik
    __construct()
    in plaats daarvan. in C:\domains\heldendaad.nu\wwwroot\wp-includes\functions.php on line 3624

    Notice: De aangeroepen constructor methode voor WP_Widget is verouderd sinds versie 4.3.0. Gebruik
    __construct()
    in plaats daarvan. in C:\domains\heldendaad.nu\wwwroot\wp-includes\functions.php on line 3624

    Notice: Use of undefined constant WPLANG - assumed 'WPLANG' in C:\domains\heldendaad.nu\wwwroot\wp-content\plugins\custompress\core\core.php on line

  • Panos

    Hello 3321media,
    Hope you are having a nice day and thank you for granting us support access!

    First let me explain about these 'Error messages' so you do not have to worry about them. Actually they are not exactly error messages, they are notices. Notices do no harm to the site but they are really helpful for developers. Some of our plugins need to be compatible with previous versions of php since many of our members still haven't updated to more recent. As you are using a more recent version, these messages show up. Please let us know if you wish to hide them!

    About your categories issue, I loged in to your admin and noticed several javascript errors. When I tried to save a category another error was added. You can see these errors in Chrome by pressing Ctrl + Shift + i and then click on the 'Console' tab.

    The category was created, but you don't realize it unless you refresh your page or save it or visit the categories page. This seems to be a javascript issue probably caused by a plugin conflict.

    You can check this by disabling your plugins one by one and each time refresh your post page and try to add a new category.

    Hope this was helpful!

    Kind regards,
    Panos

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.